.footer
  &__inner
    +media(m)
      display grid
      grid-template-columns 1fr 1fr
      grid-template-areas 'name name' 'copyright license'
  &__row
    display grid
    padding 1rem 0
    border-bottom 1px solid var(--color-mark-light)
    &--name
      grid-template-columns 1fr 1fr
      row-gap 0.25rem
      align-items center
      +media(m)
        grid-area name
    &--copyright
      border-bottom none
      +media(m)
        grid-area copyright
    &--license
      +media(m)
        grid-area license
        justify-self flex-end
        border-bottom none
  &__name
    display flex
    flex-direction column
    $font-l()
    font-weight 500
    color var(--color-mark)
    +media(m)
      $font-xl()
    span
      $font-s()
      color var(--color-mark-light)
      +media(m)
        $font-m()
  &__slogan
    justify-self flex-end
    padding 0.5rem 1rem 
    font-weight 500
    color var(--color-mark)
    background-color var(--color-white)
    border-radius var(--border-radius-m)
    border 1px solid var(--color-mark)
    box-shadow 0px 9px 25px rgba(4,35,69,0.07),0px 3.75998px 9.75464px rgba(4,35,69,0.0487463),0px 2.01027px 4.50154px rgba(4,35,69,0.0332697),0px 1.12694px 2.00555px rgba(4,35,69,0.0209002),0px 0.59851px 0.74179px rgba(4,35,69,0.0111718),0px 0.24905px 0.15918px rgba(4,35,69,0.0041028)
    +media(m)
      $font-xl()
  &__share
    display flex
    align-items center
    gap 0.5rem
  &__copyright
    display flex
    flex-direction column
    gap 0.25rem
    align-items flex-start
  &__item
    --icon-size 1.5rem
    display flex
    align-items center
    gap 0.5rem
    text-decoration dotted
    +media-max(m)
      justify-content center
    +before()
      display block
      width var(--icon-size)
      height var(--icon-size)
      mask-image var(--before-mask-image)
      mask-size cover
      mask-repeat no-repeat
      mask-position center
      background-color var(--color-mark)
    for icon in accessability license
      &--{icon}
        --before-mask-image maskImage(icon, common)
  &__info
    display flex
    flex-direction column
    align-items flex-start
    gap 0.25rem
    margin-top 1rem
    $font-s()
    color var(--color-mark-light)
